﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace CameraModel
{
    public class LogHelper
    {
        /// <summary>
        /// 日志记录类
        /// </summary>

        #region 记录日志
        /// <summary>
        /// 记录日志
        /// </summary>
        /// <param name="legLevel">日志级别</param>
        /// <param name="msg">日志内容</param>
        public static void LoggerMsg(LogLevel legLevel, string msg)
        {
            log4net.ILog log = GetLogger();
            switch (legLevel)
            {
                case LogLevel.Debug: log.Debug(msg); break; //Debug
                case LogLevel.Error: log.Error(msg); break; //Error
                case LogLevel.Fatal: log.Fatal(msg); break; //Fatal
                case LogLevel.Info: log.Info(msg); break; //Info
                case LogLevel.Warn: log.Warn(msg); break; //Warn
                default: break;
            }
            // 同步解析数据msg可以放置到不同的显示组件中
            // ****

        }
        #endregion
        #region 获得一个日志记录对象
        /// <summary>
        /// 获得一个日志记录对象
        /// </summary>
        /// <returns>日志记录对象</returns>
        public static log4net.ILog GetLogger()
        {
            //MethodBase.GetCurrentMethod().DeclaringType 返回：命名空间名+类名
            return log4net.LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);
        }
        #endregion
    }
    /// <summary>
    /// 日志记录级别
    /// </summary>
    public enum LogLevel
    {
        Debug,
        Info,
        Warn,
        Error,
        Fatal,
    }
}
